Bug 69295 - (BIOS)System Error 16 crash loading on Athlon SMP
(BIOS)System Error 16 crash loading on Athlon SMP
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-20 03:01 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
a fragment of the python backtrace (621 bytes, text/plain)
2002-07-20 03:07 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-07-20 03:01:59 EDT
Description of Problem:
anaconda crashes at the end (or near end) of processing the first CD
on a dual Athlon SMP using a Sony 56X CD.  The processors are the 2.2GHz
Athlon MPs with the 760MP chipset.


Version-Release number of selected component (if applicable):
Whatever ships with RH7.3

How Reproducible:
Always

Steps to Reproduce:
1. installing on a clean machine from cdrom - use vanilla workstation config
2. observe unhandled exception from Python at about the point the system 
asks for the 2nd cdrom.
3. abort the system load

Actual Results:
crash, backtrace printout. System Error 16, Device of resource busy. No 
system installed. From the backtrace it looks like they system was trying 
to unmount the cdrom ...

Expected Results:
No problems reported, system installed.

Additional Information:
This is a showstopper in bringing the system up.
Comment 1 Need Real Name 2002-07-20 03:07:16 EDT
Created attachment 66104 [details]
a fragment of the python backtrace
Comment 2 Need Real Name 2002-07-22 11:00:34 EDT
The RH support folks have decided that this is a real bug and not a cockpit 
error and handed me off to you.  What sort of response time can be 
expected.  I've provided a summary of the information provided the support 
folks below.

I browsed the bugzilla anaconda file.  Several reports of this problem can 
be found there.  See 66224, 64422, 62416.  Comments with at least one of 
the bugs claim this to be a media problem!

A check of the /tmp/syslog file for the failed install showed no error 
reports and nothing unexpected.  There was no listing of anything after the
journalling file system(s) were enabled.

I checked the RH7.3 media with the mediacheck option.  They passed.

In frustration, I tried a RH 7.2 install.  It worked--that is, I did not
encounter the anaconda bug.  Although I am at a loss to explain the 
mechanism, perhaps media errors are the problem. (Support:  What's the 
procedure to get fast turnaround replacements? I need to get this 
particular system up and running and stable.)

The RH support proposed a solution, performing the load with:

linux noathlon mem=nopentium pci=bioirq hdc=cdrom ide=noautotune

produces the same problematic results. The install fails and anaconda dies 
in /usr/lib/anaconda/isys.py at line 171 in umount in the statment

   rc = _isys.umount( what )

where the value of what is '/mnt/source', Remove_Dir (another parameter) 
defaults to 1,  and the failure is an unhandled exception, System Error 
(16, 'Device or resource busy').  

The hardware consists of a Tyan 2468 GN Dual Athlon MBD with the 760MP 
chipset, 2 x Athlon 2100MP processors, 2 GB DDR Memory, IBM 7200 RPM
80GB IDE disk (primary master) and a 56x CDROM (secondary master).The BIOS 
setting for the disk lage disk access mode is "Other" as opposed to "DOS".  
Other BIOS settings are as factory designed.,  

Comment 3 Need Real Name 2002-07-22 22:46:50 EDT
After several rounds with the RH Support folks, they identified an 
undocumented flag for the boot linux, apic, which seems to have solved 
the problem.  I was able to install RH Linux 7.3 on the new machine and 
configure things appropriately.  Apparently, the source of the bug was a 
misdirected interrupt.
Comment 4 Michael Fulbright 2002-07-23 12:08:09 EDT
Filing with kernel since its a piece of hardware they ought to know have problems.
Comment 5 Bugzilla owner 2004-09-30 11:39:46 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.